<?php
class StreetViewFun extends Plugin {

	private $host;

	function about() {
		return array(1.0,
			"Fixes RSS feeds of included images",
			"psylox");
	}

	function init($host) {
		$this->host = $host;

		$host->add_hook($host::HOOK_ARTICLE_FILTER, $this);
	}

	function hook_article_filter($article) {
        $owner_uid = $article["owner_uid"];

        if (strpos($article["link"], "Streetviewfun/") !== FALSE) {
        
                $doc = new DOMDocument();
                @$doc->loadHTML(fetch_file_contents($article["link"]));
    
                $basenode = false;
    
                if ($doc) {
                    $xpath = new DOMXPath($doc);
                    $basenode = $xpath->query('(//div[@class="entry_content"])')->item(0);
    
                    if ($basenode) {
                        foreach($xpath->query('*[not(self::p)]', $basenode) as $node) 
                            $basenode->removeChild($node);

                        $article["content"] = $doc->saveXML($basenode);
                    }
                }
        }       
        
		return $article;

	}

	function api_version() {
		return 2;
	}

}
?>
